#!/bin/sh
# ============
#  manyrun.sh
# ============
#
# (Function)
#   Reconstruct multiple data files 
# (Usage)
#   manyrun <maxevt>
# (Upadate Record)
#   2011/12/30   K.Fujii         Original version.
#
#--
#  Check arguments.
#--
if [ $# -ge 2 ]; then
      echo "Usage:"
      echo "  ./manyrun <maxevt>"
      echo " where <maxevt> is the maximum number of events to analyaze"
      echo " per run with its default value being 10000."
      exit 0
#--
# Set maximum number of events to reconstruct per run
#--
elif [ $# -eq 1 ]; then
      echo "maxevt is set to $1"
      maxevt=$1
else
      maxevt=10000
fi
echo "Going to analyze $maxevt events per run"
#--
# Loop over runs
#--
#for run in 17331 17352; do
#for run in 17331; do
for run in 17319 17367 17324 17364 17327 17359 17331 17356 17340 17352; do
	echo ".............................."
	echo "Start analyzing run" $run "..."
	sed -e "s;RUNNO;$run;" -e "s;MAXEVT;$maxevt;" reconstruction_libo_TEMPLATE.xml > temp.xml
	Marlin temp.xml
	#sed -e "s;RUNNO;$run;" makeRootFile_template.xml > temp.xml
	#Marlin temp.xml
done
#--
# That's it, folks!
#--
exit 0
